Bug 1252806 - RFE: Clicking on username should not redirect to fas login
RFE: Clicking on username should not redirect to fas login
Status: CLOSED CURRENTRELEASE
Product: Copr
Classification: Community
Component: frontend (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Samalik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-12 05:26 EDT by Parag Nemade
Modified: 2015-10-15 05:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-15 05:45:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2015-08-12 05:26:04 EDT
Description of problem:
With the new copr UI deployed, I just login to copr. Then I went to URL https://copr.fedoraproject.org/coprs , there I clicked on my username which appears at right top corner. Now instead of taking me to page https://copr.fedoraproject.org/coprs/pnemade , it took me to FAS login page. I think this should be fixed. 

Clicking on username should give user project's page.

Version-Release number of selected component (if applicable):
Copr frontend build version: 1.66-1.fc21 

How reproducible:
always

Steps to Reproduce:
1.login to copr 
2. you will get your user page
3. click on Home which takes you to https://copr.fedoraproject.org/coprs/
4. now to go again user page I can use "My Project" link on right side, but can we also make top right username linked to user's home page?
Comment 1 Miroslav Suchý 2015-08-12 06:02:04 EDT
Hmm, I tend to disagree. Clicking on name in right most corner on most webs will navigate you to account details and setting -- which is FAS in our case. Other Fedora webs (e.g. Pkgdb) do that the same way.
If you want to change it I would suggest to open broader discussion, what should be default on all Fedora websites.

There is link "My projects" just bellow your gravatar, which navigate you to your projects.
Comment 2 Parag Nemade 2015-08-12 08:16:38 EDT
I might have confused about Copr UI, but if I take Pkgdb example, clicking on user name gives package names which means what Pkgdb for that user need to do (showing packages user owns). 

I then mapped the same for Copr UI and thought clicking on user name should give me my project list.

I checked other Fedora apps as well. On bodhi, user name and user home page is combined as "user's Home" which when clicked gives user submitted updates list.

There is no user name listed separately on FAS, Badges apps but I then found Askfedora, Fedocal, Wiki apps which when clicked on its logged-in user name, gives user's information related to that app.

Then Koschei, Kerneltest, Nuancier is having user name at top right corner but there is no hyperlink associated with it.

So in summary, I think when using Copr, clicking on user name should not navigate to FAS app. Recently, almost all the Fedora apps have got Fedmenu at the bottom right corner from which user can browse to any Fedora app (e.g. check Pkgdb app).
Comment 3 Adam Samalik 2015-08-24 02:54:21 EDT
I mostly agree with Parag. Clicking on username should be consistent across website and should navigate to the user's project page which also includes link to FAS.

However, as Miroslav said, user should be able to manage their account from the top-right menu as this is a standard on most websites.

The possible solutions I see here are:
 1. Link to the user's page and navigate to the FAS from there
 2. Show a drop-down menu with FAS Account, My Projects, and maybe other stuff related to the user

As the drop-down menu offers more flexibility and would be clear about what action follows - as it shows "FAS Account" and "My Projects" options, and is also recommended by PatternFly guides - I will change it this way, if you guys agree.

Adam
Comment 4 Parag Nemade 2015-08-24 04:18:01 EDT
Sorry I must be missing something here to find but which are those other Fedora apps websites that allows logging into FAS? 

I don't understand this, I have FAS account so I can login to Copr. Now after I logged into Copr, for what reasons I may need to view/modify my FAS account details? Is something planned for next Copr release that needs to check FAS account details in Copr?
Comment 5 Miroslav Suchý 2015-10-15 05:45:57 EDT
Version with this fix has been just deployed to production.

Note You need to log in before you can comment on or make changes to this bug.